JH_INSTALLECLIPSE(1)

NAME
jh_installeclipse - Installs eclipse features built by pde-build into package build directories

SYNOPSIS
jh_installeclipse [debhelper options] [--install-name=name] [--pde-build-dir=dir] [feature [...]]

DESCRIPTION
jh_installeclipse is a javahelper program that handles installing eclipse features built by pde-build into package build directories. These features can be specified either in the package's eh-install file or via command-line.

jh_installeclipse uses debhelper behind the scenes and are therefore subject to the compat level (e.g. when parsing eh-install files).

jh_installeclipse will replace all the embedded orbit depends imported by jh_generateorbitdeps with symlinks post install. The symlinked jar files will also be used to populate ${orbit:Depends} variable.

FILES

debian/package.eh-install
    List the eclipse features to install into each package and optionally under which name. The format is a set of lines, where each line lists a file or files to install, and at the end of the line tells the name it should be installed under. You may use wildcards in the names of the files to install.

    If name is not present, eh_install will either use the install name given on the command line or attempt to guess it from the package name. It is perfectly legal for two or more features to be installed under the same name.

OPTIONS

--install-name=name
    Specifies the name to install under if it is not given in the file. It is perfectly legal to install more than one feature under the same name.

--pde-build-dir=dir
    Specifies the directory from where pde-build was run. Defauls to "debian/.eclipse_build".

EXAMPLE
Suppose your package builds org.eclipse.emf and org.eclipse.xsd and you want to put org.eclipse.emf into eclipse-emf and org.eclipse.xsd into eclipse-xsd. Then make debian/eclipse-emf.eh-install contain:

  org.eclipse.emf

and debian/eclipse-xsd.eh-install contain:

  org.eclipse.xsd

jh_installeclipse will then install org.eclipse.emf into usr/share/eclipse/dropins/emf/ and xsd into usr/share/eclipse/dropins/xsd/.

In case your package is not called eclipse-name, or you want to install two different features into the same package, you will have to provide a name. Suppose you wanted to install both eclipse above into a single package called foo, then debian/foo.eh-install should contain:

  org.eclipse.emf emf
  org.eclipse.xsf xsd

SEE ALSO
debhelper(7)

This program is a part of javahelper and uses debhelper as backend. There are also tutorials in /usr/share/doc/javahelper.

AUTHOR
Niels Thykier <niels@thykier.net>

COPYRIGHT AND LICENSE
Copyright 2010 by Niels Thykier

This tool is free software; you may redistribute it and/or modify it under the terms of GNU GPL 2.